{#
/**
 * @file
 * Default theme implementation for the slick-vanilla item template.
 *
 * This is a vanilla alternative for slick-slide.html.twig where everything is
 * dumped as is into 'item'. Think of it as a raw individual item output.
 * Choosing vanilla means you are on your own, and want a more controlled item.
 *
 * Available variables:
 * - attributes: An array of attributes to apply to the element.
 * - item: A renderable array of the slide content.
 * - settings: An array containing the given settings.
 *
 * @see template_preprocess_slick_vanilla()
 */
#}
{%
  set classes = [
    'slide--' ~ delta
  ]
%}
{% set slide_count = delta + 1 %}
{% block slick_vanilla %}
  <div{{ attributes.addClass(classes).setAttribute('aria-description', 'Slide Item #@num'|t({'@num': slide_count})) }}>
    {{ item }}
  </div>
{% endblock %}
